URI.MalformedURIException (Axis API)
Keywords: org.apache.axis.types.URI.MalformedURIException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class URI.MalformedURIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.axis.types.URI.MalformedURIException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  URI

public static class URI.MalformedURIException
extends java.io.IOException

MalformedURIExceptions are thrown in the process of building a URI or setting fields on a URI when an operation would result in an invalid URI specification.

See Also:
  Serialized Form

Constructor Summary
`URI.MalformedURIException()` Constructs a `MalformedURIException` with no specified detail message.
`URI.MalformedURIException(java.lang.String p_msg)` Constructs a `MalformedURIException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URI.MalformedURIException

    public URI.MalformedURIException()

  Constructs a `MalformedURIException` with no specified detail message.

### URI.MalformedURIException

    public URI.MalformedURIException(java.lang.String p_msg)

  Constructs a `MalformedURIException` with the specified detail message.

Parameters:
  `p_msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.